```{eval-rst}
evennia.contrib.base\_systems.ingame\_python 
====================================================

.. automodule:: evennia.contrib.base_systems.ingame_python
   :members:
   :show-inheritance:
   :undoc-members:



.. toctree::
   :maxdepth: 6

   evennia.contrib.base_systems.ingame_python.callbackhandler
   evennia.contrib.base_systems.ingame_python.commands
   evennia.contrib.base_systems.ingame_python.eventfuncs
   evennia.contrib.base_systems.ingame_python.scripts
   evennia.contrib.base_systems.ingame_python.tests
   evennia.contrib.base_systems.ingame_python.typeclasses
   evennia.contrib.base_systems.ingame_python.utils

```